typedef enum { FALSE, TRUE } bool;

#define TRACE(f,x)    if(debug)fprintf(stderr,f,x)
#define DMESS(s)      if(debug)fprintf(stderr,s)
#define ERROR(f,x)    {fprintf(stderr,f,x);exit(3);}
#define MESS(s)       if(debug)fprintf(stderr,s)

#define TST(fa,fe,k1,k2,k3)\
        {if(debug)\
         {   fprintf(stderr,"\nKomponenten %d,%d,%d",k1,k2,k3);\
             fprintf(stderr,"  der Frames %d - %d:",fa,fe);\
             for(f=fa;f<fe;f++)\
                 fprintf(stderr,"\n %e \t %e \t %e",\
                 rbuf[f][k1],rbuf[f][k2],rbuf[f][k3]);}}
/* gibt die Vektorkomponenten k1, k2, und k3                    */
/* der Frames fa - fe aus.                                      */

static int f;                   /* fuer TST                     */
static bool debug = FALSE;      /* fuer TST, TRACE, und DMESS   */
                                /* u.a. Debugginginformationen  */

#define MAX_SAMP    10000       /* max. Anzahl der Samples      */
                                /* (im Puffer)                  */
#define MIN_ISHIFT  50          /* kleinstes Fortschaltintervall*/
#define MAX_FRA     (MAX_SAMP/MIN_ISHIFT)   /* max. Anzahl der  */
                                /* Frames im Puffer             */
#define MAX_PAR     24          /* max. Laenge des              */
                                /* Ausgabevektors               */
                            
#define MAX(a,b)    ((a)>(b)?(a):(b))
#define MIN(a,b)    ((a)>(b)?(b):(a))
#define SQR(a)      ((a)*(a))

#define fsin(a)      (float)sin((double)a)
#define fcos(a)      (float)cos((double)a)
#define ftan(a)      (float)tan((double)a)
#define fatan(a)     (float)atan((double)a)
#define fpow10(a)    (float)pow(10.0,(double)a)
#define flog10(a)    (float)log10((double)a)
#define fexp(a)      (float)exp((double)a)
#define flog(a)      (float)log((double)a)
#define fsqrt(a)     (float)sqrt((double)a)


void f_name(
     char    fname[],        /* muss gross genug sein       */
     char    *dateiname,     /* zB.  "f_coef"               */
     int     nch,            /* muss 2-stellig sein         */
     char    *dateikennung); /* zB.  ".asc"                 */

/* wandelt nch in einen string, verbindet die drei strings  */
/* und kopiert sie in fname[].                              */

float Atof(char *);  /* traurig,aber wahr: atof() funktioniert nicht */
                     /* (liefert immer -1.400e1 zurueck)             */

